package com.tuoheng.admin.service.report.generate;

import com.tuoheng.common.core.utils.JsonResult;

/**
 * 生成报告业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-11-30
 */
public interface GenerateReportService {

    /**
     * 手动生成报告
     *
     * @return
     */
    JsonResult generateByManual(String id);


    /**
     * 自动生成工单
     */
    JsonResult generateByAuto(String id);

}
